### Function

# EDataCal CalBackendCustomOpFunc

since: 3.26

#### Declaration

    void
    (* ECalBackendCustomOpFunc) (
      ECalBackend* cal_backend,
      gpointer user_data,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

A callback prototype being called in a dedicated thread, scheduled by e_cal_backend_schedule_custom_operation().

Available since: 3.26

#### Parameters

`cal_backend`

  Type: `ECalBackend`

  An `ECalBackend`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  A function user data, as provided to e_cal_backend_schedule_custom_operation().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  An optional `GCancellable`, as provided to e_cal_backend_schedule_custom_operation().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.